> For the complete documentation index, see [llms.txt](https://docs.kubemq.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kubemq.io/configuration/connectors/kubemq-sources/targets/events-store.md).

# Events Store

KubeMQ Sources Events-Store target provides an events-store sender for processing sources requests.

## Prerequisites

The following are required to run the events-store target connector:

* kubemq cluster
* kubemq-sources deployment

## Configuration

Events-Store target connector configuration properties:

| Properties Key   | Required | Description                            | Example                                            |
| ---------------- | -------- | -------------------------------------- | -------------------------------------------------- |
| address          | yes      | kubemq server address (gRPC interface) | kubemq-cluster-grpc.kubemq.svc.cluster.local:50000 |
| client\_id       | no       | set client id                          | "client\_id"                                       |
| auth\_token      | no       | set authentication token               | JWT token                                          |
| channel          | no       | set send request default channel       | "events-store"                                     |
| dynamic\_mapping | no       | set dynamic channel mapping per source | "false"                                            |

Example:

```yaml
bindings:
  - name:  events-store-binding 
    properties: 
      log_level: error
      retry_attempts: 3
      retry_delay_milliseconds: 1000
      retry_max_jitter_milliseconds: 100
      retry_delay_type: "back-off"
      rate_per_second: 100
    source:
      kind: http
      name: http-post-source
      properties:
        "methods": "post"
        "path": "/events-store"
    target:
      kind: kubemq.events-store # Sources kind
      name: events-store-target 
      properties: 
        address: "kubemq-cluster-grpc.kubemq.svc.cluster.local:50000"
        client_id: "cluster-a-events-store-connection"
        auth_token: ""
        channel: "events-store"
        dynamic_mapping: "false"
        timeout_seconds: "10"
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.kubemq.io/configuration/connectors/kubemq-sources/targets/events-store.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
